aboutsummaryrefslogtreecommitdiff
path: root/kokoro/macos-clang-debug
diff options
context:
space:
mode:
Diffstat (limited to 'kokoro/macos-clang-debug')
-rw-r--r--kokoro/macos-clang-debug/build.sh20
-rw-r--r--kokoro/macos-clang-debug/continuous.cfg15
-rw-r--r--kokoro/macos-clang-debug/presubmit.cfg15
3 files changed, 50 insertions, 0 deletions
diff --git a/kokoro/macos-clang-debug/build.sh b/kokoro/macos-clang-debug/build.sh
new file mode 100644
index 0000000..b345eff
--- /dev/null
+++ b/kokoro/macos-clang-debug/build.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+# Copyright 2018 The Amber Authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e # fail on error
+set -x # display commands
+
+SCRIPT_DIR=`dirname "$BASH_SOURCE"`
+source $SCRIPT_DIR/../scripts/macos/build.sh DEBUG clang
diff --git a/kokoro/macos-clang-debug/continuous.cfg b/kokoro/macos-clang-debug/continuous.cfg
new file mode 100644
index 0000000..901610f
--- /dev/null
+++ b/kokoro/macos-clang-debug/continuous.cfg
@@ -0,0 +1,15 @@
+# Copyright 2018 The Amber Authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+build_file: "amber/kokoro/macos-clang-debug/build.sh"
diff --git a/kokoro/macos-clang-debug/presubmit.cfg b/kokoro/macos-clang-debug/presubmit.cfg
new file mode 100644
index 0000000..901610f
--- /dev/null
+++ b/kokoro/macos-clang-debug/presubmit.cfg
@@ -0,0 +1,15 @@
+# Copyright 2018 The Amber Authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+build_file: "amber/kokoro/macos-clang-debug/build.sh"